Sign me up Login

Details about package js2-mode

Name: js2-mode (PTS)
Uploader: Xiyue Deng <manphiz@gmail.com> (Debian QA page)
Description: elpa-js2-mode - Emacs mode for editing Javascript programs
js2-mode - Emacs mode for editing Javascript programs (dummy package)

Package uploads

Upload #4

Information

Version: 0.0~git20240418.9b90d31-1
Uploaded: 2024-05-05 22:09
Source package: js2-mode_0.0~git20240418.9b90d31-1.dsc
Distribution: unstable
Section: editors
Priority: optional
Homepage: https://github.com/mooz/js2-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
Closes bugs: #1052865

Changelog

 js2-mode (0.0~git20240418.9b90d31-1) unstable; urgency=medium
 .
   * Team upload.
 .
   [ Debian Janitor ]
   * Remove constraints unnecessary since buster (oldstable):
     + elpa-js2-mode: Drop versioned constraint on emacsen-common (>=
       2.0.8) in Depends.
     + elpa-js2-mode: Drop conflict with removed package js2-mode (<<
       0~20150909-1) in Breaks.
 .
   [ Xiyue Deng ]
   * Update to new upstream version 0.0~git20240418.9b90d31 (Closes:
     #1052865).
   * Update d/watch to track savannah's canonical js2-mode branch.
   * Update Standards-Version to 4.6.2.  No change needed.
   * Update debhelper-compat to 13.
   * Simplify handling in d/rules.
   * Fix non-canonical URL for Vcs-Browser and drop trailing whitespace.
   * Use secure protocol in URL and add Upstream-Contact in d/copyright.
   * Add d/upstream/metadata.
   * Update Standards-Version to 4.7.0; no change needed.
   * Set Rules-Require-Root to no in d/changelog.
   * Replace emacsen-common with ${elpa:Depends} to let elpa handle
     dependencies.
   * Drop versioned Emacsen from Enhances.
   * Update upstream copyright year in d/copyright.

QA information

Comments

  1. Hi Xiyue,
    
    Thanks for updating the package for Debian.
    
    Looks good to me.
    
    I have emailed one of my mentors asking if they would perform a final review and possibly do the upload into Debian. Please be patient as my DD mentors are very busy and this may take some time.
    
    Regards
    
    Phil
    Ready Phil Wyett at May 28, 2024, 12:42 p.m.

Upload #3

Information

Version: 0.0~git20240418.9b90d31-1
Uploaded: 2024-05-05 21:54
Source package: js2-mode_0.0~git20240418.9b90d31-1.dsc
Distribution: unstable
Section: editors
Priority: optional
Homepage: https://github.com/mooz/js2-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
Closes bugs: #1052865

Changelog

 js2-mode (0.0~git20240418.9b90d31-1) unstable; urgency=medium
 .
   * Team upload.
 .
   [ Debian Janitor ]
   * Remove constraints unnecessary since buster (oldstable):
     + elpa-js2-mode: Drop versioned constraint on emacsen-common (>=
       2.0.8) in Depends.
     + elpa-js2-mode: Drop conflict with removed package js2-mode (<<
       0~20150909-1) in Breaks.
 .
   [ Xiyue Deng ]
   * Update to new upstream version 0.0~git20240418.9b90d31 (Closes:
     #1052865).
   * Update d/watch to track savannah's canonical js2-mode branch.
   * Update Standards-Version to 4.6.2.  No change needed.
   * Update debhelper-compat to 13.
   * Simplify handling in d/rules.
   * Fix non-canonical URL for Vcs-Browser and drop trailing whitespace.
   * Use secure protocol in URL and add Upstream-Contact in d/copyright.
   * Add d/upstream/metadata.
   * Update Standards-Version to 4.7.0; no change needed.
   * Set Rules-Require-Root to no in d/changelog.
   * Replace emacsen-common with ${elpa:Depends} to let elpa handle
     dependencies.
   * Drop versioned Emacsen from Enhances.
   * Update upstream copyright year in d/copyright.

QA information

Comments

No comments

Upload #2

Information

Version: 0.0~git20240310.e92829d-1
Uploaded: 2024-04-12 08:16
Source package: js2-mode_0.0~git20240310.e92829d-1.dsc
Distribution: unstable
Section: editors
Priority: optional
Homepage: https://github.com/mooz/js2-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
Closes bugs: #1052865

Changelog

 js2-mode (0.0~git20240310.e92829d-1) unstable; urgency=medium
 .
   * Team upload.
 .
   [ Debian Janitor ]
   * Remove constraints unnecessary since buster (oldstable):
     + elpa-js2-mode: Drop versioned constraint on emacsen-common (>=
       2.0.8) in Depends.
     + elpa-js2-mode: Drop conflict with removed package js2-mode (<<
       0~20150909-1) in Breaks.
 .
   [ Xiyue Deng ]
   * Update to new upstream version 0.0~git20240310.e92829d (Closes:
     #1052865).
   * Update d/watch to track savannah's canonical js2-mode branch.
   * Update Standards-Version to 4.6.2.  No change needed.
   * Update debhelper-compat to 13.
   * Simplify handling in d/rules.
   * Fix non-canonical URL for Vcs-Browser and drop trailing whitespace.
   * Use secure protocol in URL and add Upstream-Contact in d/copyright.
   * Add d/upstream/metadata.
   * Update Standards-Version to 4.7.0; no change needed.
   * Set Rules-Require-Root to no in d/changelog.
   * Replace emacsen-common with ${elpa:Depends} to let elpa handle
     dependencies.
   * Drop versioned Emacsen from Enhances.
   * Update upstream copyright year in d/copyright.

QA information

Comments

No comments

Upload #1

Information

Version: 0.0~git20231225.ca0af32-1
Uploaded: 2024-02-15 09:40
Source package: js2-mode_0.0~git20231225.ca0af32-1.dsc
Distribution: unstable
Section: editors
Priority: optional
Homepage: https://github.com/mooz/js2-mode
Vcs-Browser: https://salsa.debian.org/emacsen-team/js2-mode
Vcs-Git: https://salsa.debian.org/emacsen-team/js2-mode.git
Closes bugs: #1052865

Changelog

 js2-mode (0.0~git20231225.ca0af32-1) unstable; urgency=medium
 .
   * Team upload.
 .
   [ Debian Janitor ]
   * Remove constraints unnecessary since buster (oldstable):
     + elpa-js2-mode: Drop versioned constraint on emacsen-common (>= 2.0.8) in
       Depends.
     + elpa-js2-mode: Drop conflict with removed package js2-mode (<<
       0~20150909-1) in Breaks.
 .
   [ Xiyue Deng ]
   * Update to new upstream version 0.0~git20231225.ca0af32 (Closes: #1052865).
   * Update d/watch to track savannah's canonical js2-mode branch.
   * Update Standards-Version to 4.6.2.  No change needed.
   * Update debhelper-compat to 13.
   * Simplify handling in d/rules.
   * Fix non-canonical URL for Vcs-Browser and drop trailing whitespace.
   * Use secure protocol in URL and add Upstream-Contact in d/copyright.
   * Add d/upstream/metadata.

QA information

Comments

No comments